Bug 59624 - Imprecise regexp when adding path components
Imprecise regexp when adding path components
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-02-11 09:01 EST by Mark Cooke
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-25 12:43:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Cooke 2002-02-11 09:01:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020104

Description of problem:
Then adding path components, a regexp is used as follows:

/bin/grep -q "/sbin"

This can fail to match exactly as desired.  Something along the following lines
is a better description of what was desired:

/bin/egrep -q "(^|:)/sbin($|:)"

Similarly for the other path check-and-add functions.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Setup the default path with a component that causes incorrect matches
2.Logout and log back in

Actual Results:  The /sbin path is not added to the root path.

Expected Results:  It should have been

Additional info:

$ rpm -qf setup
Comment 1 Bill Nottingham 2002-03-11 12:15:36 EST
Fixed in 2.5.8-1.

Note You need to log in before you can comment on or make changes to this bug.